Bug 1032072 - cogl: insecure shmget permissions
cogl: insecure shmget permissions
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cogl (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Owen Taylor
Desktop QE
:
Depends On:
Blocks: 1032071
  Show dependency treegraph
 
Reported: 2013-11-19 08:52 EST by Florian Weimer
Modified: 2017-07-10 10:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755532 None None None Never

  None (edit)
Description Florian Weimer 2013-11-19 08:52:46 EST
IPC_PRIVATE is a misnomer, and this will create a SHM segment with 0777 permissions:

  tex_pixmap->shm_info.shmid = shmget (IPC_PRIVATE,
                                       dummy_image->bytes_per_line
                                       * dummy_image->height,
                                       IPC_CREAT | 0777);

This should probably use 0600 permissions instead.  As far as I can see, it's a cosmetic issue because the SHM segment is only temporary and not used for anything important.
Comment 2 RHEL Product and Program Management 2014-03-22 02:30:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.